package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 商品权限类型枚举
 */
@AllArgsConstructor
@Getter
public enum EWaresPermissionType {

    /**
     * 指定会员
     */
    MEMBER(6, "指定会员", 0),

    /**
     * 1=血缘可见
     */
    BLOOD_ALLOW(1, "血缘可见", 0),
    /**
     * 2=血缘禁止
     */
    BLOOD_STOP(2, "血缘禁止", 0),

    /**
     * 安置可见
     */
    PLACE_ALLWO(3, "安置可见", 0),
    /**
     * 安置禁止
     */
    PLACE_STOP(4, "安置禁止", 0),

    /**
     * 全部
     */
    AUTH_ORITY_TYPE(5, "全部", 0),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;

    public static String getEnumLabelByValue(Integer value) {
        if (null == value) {
            return "";
        }
        for (EWaresPermissionType permissionType : EWaresPermissionType.values()) {
            if (permissionType.getValue() == value) {
                return permissionType.getLabel();
            }
        }
        return "";
    }

}
